classification
Title: errno module is missing some symbols
Type: behavior Stage:
Components: Extension Modules Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: barry Nosy List: barry, eric.araujo
Priority: normal Keywords:

Created on 2010-09-21 21:44 by barry, last changed 2010-10-27 13:06 by barry. This issue is now closed.

Messages (4)
msg117105 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-09-21 21:44
According to this message, Python's errno module is missing some symbols:

https://lists.ubuntu.com/archives/ubuntu-devel/2010-August/031341.html

ENOMEDIUM       123     /* No medium found */
EMEDIUMTYPE     124     /* Wrong medium type */
ECANCELED       125     /* Operation Canceled */
ENOKEY          126     /* Required key not available */
EKEYEXPIRED     127     /* Key has expired */
EKEYREVOKED     128     /* Key has been revoked */
EKEYREJECTED    129     /* Key was rejected by service */
EOWNERDEAD      130     /* Owner died */
ENOTRECOVERABLE 131     /* State not recoverable */
ERFKILL         132     /* Operation not possible due to RF-kill */

While we're at it, it might be nice to add -m functionality to print out the errno, though I'm not even sure this is possible with an extension module.
msg117154 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-09-22 20:58
r84966
msg119705 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2010-10-27 12:30
You could ask python-ideas about -m support.  This test seems to reveal that runpy does not support extension modules:

 $ python -m sys
 /usr/bin/python: No code object available for sys

This may be another bug or feature request to open.
msg119708 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-10-27 13:06
I'm not surprised -m doesn't work with extension modules.  It would certainly be a new feature to implement such a thing, so it would only be possible for 3.2.  It's not a priority for me to add this support.
History
Date User Action Args
2010-10-27 13:06:39barrysetmessages: + msg119708
2010-10-27 12:30:15eric.araujosetnosy: + eric.araujo
messages: + msg119705
2010-09-22 20:58:21barrysetstatus: open -> closed
resolution: fixed
messages: + msg117154
2010-09-21 21:44:11barrycreate